package cn.feishu.sdk.common;

import cn.feishu.sdk.util.PropertiesUtils;

public class ApiConstant {
    public static final String FEISHU_API_URL = PropertiesUtils.getConfig("feishu_api_url");
    public static final String FEISHU_APP_ID = PropertiesUtils.getConfig("feishu_app_id");
    public static final String FEISHU_APP_SECRET = PropertiesUtils.getConfig("feishu_app_secret");
    public static final String APP_ACCESS_TOKEN = "/auth/v3/app_access_token/internal/";
    public static final String TENANT_ACCESS_TOKEN = "/auth/v3/tenant_access_token/internal/";
    public static final String AUTH_INDEX = "/authen/v1/index";
    public static final String AUTH_ACCESS_TOKEN = "/authen/v1/access_token";
    public static final String REFRESH_AUTH_ACCESS_TOKEN = "/authen/v1/refresh_access_token";
    public static final String USER_INFO = "/authen/v1/user_info";
    public static final String MESSAGE_BATCH_SEND = "/message/v4/batch_send/";
    public static final String MESSAGE_SEND = "/message/v4/send/";
    public static final String NOTIFY_SEND = "/notify/v4/appnotify";
}
