package cn.feishu.sdk.provider;

import cn.feishu.sdk.common.ApiConstant;
import cn.feishu.sdk.util.HttpUtil;
import com.alibaba.fastjson.JSONObject;

import java.util.List;

public class MessageProvider {
    public JSONObject batchSend(List<String> departmentIds,List<String> openIds,List<String> userIds,String content) throws Exception {
        AuthProvider authProvider = new AuthProvider();
        String tenantAccessToken = authProvider.getTenantAccessToken();
        JSONObject contentJson = new JSONObject();
        contentJson.put("text",content);
        JSONObject params = new JSONObject();
        params.put("department_ids",departmentIds);
        params.put("open_ids",openIds);
        params.put("user_ids",userIds);
        params.put("msg_type","text");
        params.put("content",contentJson);
        return HttpUtil.feishuPostRequest("Bearer"+tenantAccessToken, ApiConstant.FEISHU_API_URL+ApiConstant.MESSAGE_BATCH_SEND,params);
    }


}
