package org.jeecg.modules.performance.service;

import com.alibaba.fastjson.JSONObject;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.modules.performance.mapper.DesignDetailMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
@Slf4j
public class DesignDetailServiceImpl implements IDesignDetailService {

    @Autowired
    DesignDetailMapper designDetailMapper;

    @Override
    public void UserCostCalculateByMaterial(String startDate, String endDate, int mediaType) {
        //查询出来素材对应的cost
        List<JSONObject> jsonObjectList=designDetailMapper.queryMaterialDetailByDate(startDate,endDate,mediaType);
        if(jsonObjectList.isEmpty()){
            log.error("没有素材数据");
        }


    }
}
